Index: backend/Dockerfile
===================================================================
--- backend/Dockerfile	(revision 3d5719a8d67c5c6702433bb42247497426d5951c)
+++ backend/Dockerfile	(revision 516baa4eda127c8c3a0f761c69f90c8c5ff421e3)
@@ -6,6 +6,4 @@
 #     gcc \
 #     && rm -rf /var/lib/apt/lists/*
-RUN apt-get update && apt-get install -y postgresql-client
-
 
 COPY requirements.txt .
@@ -16,5 +14,3 @@
 EXPOSE 8000
 
-RUN chmod +x wait-for-db.sh
-
 CMD ["python", "manage.py", "runserver", "0.0.0.0:8000"]
Index: backend/app/admin.py
===================================================================
--- backend/app/admin.py	(revision 516baa4eda127c8c3a0f761c69f90c8c5ff421e3)
+++ backend/app/admin.py	(revision 516baa4eda127c8c3a0f761c69f90c8c5ff421e3)
@@ -0,0 +1,3 @@
+from django.contrib import admin
+
+# Register your models here.
Index: backend/app/apps.py
===================================================================
--- backend/app/apps.py	(revision 516baa4eda127c8c3a0f761c69f90c8c5ff421e3)
+++ backend/app/apps.py	(revision 516baa4eda127c8c3a0f761c69f90c8c5ff421e3)
@@ -0,0 +1,6 @@
+from django.apps import AppConfig
+
+
+class AppConfig(AppConfig):
+    default_auto_field = 'django.db.models.BigAutoField'
+    name = 'app'
Index: backend/app/models.py
===================================================================
--- backend/app/models.py	(revision 516baa4eda127c8c3a0f761c69f90c8c5ff421e3)
+++ backend/app/models.py	(revision 516baa4eda127c8c3a0f761c69f90c8c5ff421e3)
@@ -0,0 +1,3 @@
+from django.db import models
+
+# Create your models here.
Index: backend/app/tests.py
===================================================================
--- backend/app/tests.py	(revision 516baa4eda127c8c3a0f761c69f90c8c5ff421e3)
+++ backend/app/tests.py	(revision 516baa4eda127c8c3a0f761c69f90c8c5ff421e3)
@@ -0,0 +1,3 @@
+from django.test import TestCase
+
+# Create your tests here.
Index: backend/app/views.py
===================================================================
--- backend/app/views.py	(revision 516baa4eda127c8c3a0f761c69f90c8c5ff421e3)
+++ backend/app/views.py	(revision 516baa4eda127c8c3a0f761c69f90c8c5ff421e3)
@@ -0,0 +1,9 @@
+from django.http import HttpResponse, JsonResponse
+from django.shortcuts import render
+
+# Create your views here.
+def index(request):
+    return HttpResponse("ok")
+
+def test_api(request):
+    return JsonResponse({"message": "hello world"})
Index: backend/backend/urls.py
===================================================================
--- backend/backend/urls.py	(revision 3d5719a8d67c5c6702433bb42247497426d5951c)
+++ backend/backend/urls.py	(revision 516baa4eda127c8c3a0f761c69f90c8c5ff421e3)
@@ -1,10 +1,25 @@
+"""
+URL configuration for backend project.
+
+The `urlpatterns` list routes URLs to views. For more information please see:
+    https://docs.djangoproject.com/en/5.1/topics/http/urls/
+Examples:
+Function views
+    1. Add an import:  from my_app import views
+    2. Add a URL to urlpatterns:  path('', views.home, name='home')
+Class-based views
+    1. Add an import:  from other_app.views import Home
+    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
+Including another URLconf
+    1. Import the include() function: from django.urls import include, path
+    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
+"""
 from django.contrib import admin
-from django.urls import path, include
-from subjects.views import index
+from django.urls import path
+from app.views import index,test_api
 
 urlpatterns = [
     path('admin/', admin.site.urls),
-    path('auth/', include('auth_form.urls')),
-    path('subjects/', include('subjects.urls')),
+    path('api/', test_api),
     path('', index),
 ]
Index: frontend/Dockerfile
===================================================================
--- frontend/Dockerfile	(revision 3d5719a8d67c5c6702433bb42247497426d5951c)
+++ frontend/Dockerfile	(revision 516baa4eda127c8c3a0f761c69f90c8c5ff421e3)
@@ -1,4 +1,4 @@
 # Use an official Node.js runtime as the base image
-FROM node:22
+FROM node:18
 
 # Set working directory
@@ -14,7 +14,4 @@
 COPY . .
 
-# build tailwind css
-RUN npm run build:css
-
 # Expose port 3000 for React
 EXPOSE 3000
Index: frontend/src/App.tsx
===================================================================
--- frontend/src/App.tsx	(revision 3d5719a8d67c5c6702433bb42247497426d5951c)
+++ frontend/src/App.tsx	(revision 516baa4eda127c8c3a0f761c69f90c8c5ff421e3)
@@ -1,113 +1,17 @@
-import { createBrowserRouter, Outlet, RouterProvider } from "react-router-dom";
-import { ToastContainer } from "react-toastify";
-import "react-toastify/dist/ReactToastify.css";
-import Footer from "./components/Footer";
-import Navbar from "./components/Navbar";
-import PrivateRoute from "./components/PrivateRoute";
-import ScrollToTop from "./components/ScrollToTop";
-import CourseCatalog from "./components/SubjectCatalog/SubjectCatalog";
-import { AuthProvider } from "./context/AuthProvider";
-import "./index.css";
-import Account from "./pages/Account";
-import Home from "./pages/Home";
-import Login from "./pages/Login";
-import NotFound from "./pages/NotFound";
-import Recommendations from "./pages/Recommendations";
-import Register from "./pages/Register";
-import ReviewForm from "./pages/ReviewForm";
-import Reviews from "./pages/Reviews";
-import SubjectPreferences from "./pages/SubjectPreferences";
-import SubjectView from "./pages/SubjectView";
-
-const Layout = () => (
-	<div className="flex flex-col min-h-screen">
-		<ScrollToTop />
-		<Navbar />
-		<ToastContainer
-			className="custom-toast-container"
-			position="top-right"
-			autoClose={2000}
-			hideProgressBar={false}
-			newestOnTop={false}
-			closeOnClick
-			rtl={false}
-			pauseOnFocusLoss
-			draggable
-			pauseOnHover
-			theme="light"
-		/>
-		<main className="flex-grow">
-			<Outlet />
-		</main>
-		<Footer />
-	</div>
-);
-const router = createBrowserRouter([
-	{
-		path: "/",
-		element: <Layout />,
-		children: [
-			{ path: "", element: <Home /> },
-			{ path: "subjects", element: <CourseCatalog /> },
-			{ path: "login", element: <Login /> },
-			{ path: "register", element: <Register /> },
-			{
-				path: "recommendations",
-				element: (
-					<PrivateRoute allowedUserTypes={["student"]}>
-						<Recommendations />
-					</PrivateRoute>
-				),
-			},
-			{
-				path: "account",
-				element: (
-					<PrivateRoute allowedUserTypes={["student"]}>
-						<Account />
-					</PrivateRoute>
-				),
-			},
-			{
-				path: "subject-preferences",
-				element: (
-					<PrivateRoute allowedUserTypes={["student"]}>
-						<SubjectPreferences />
-					</PrivateRoute>
-				),
-			},
-			{
-				path: "subjects/:code",
-				element: <SubjectView />,
-			},
-			{
-				path: "review-form/:code",
-				element: (
-					<PrivateRoute allowedUserTypes={["student"]}>
-						<ReviewForm />
-					</PrivateRoute>
-				),
-			},
-			{
-				path: "reviews",
-				element: (
-					<PrivateRoute allowedUserTypes={["student", "admin"]}>
-						<Reviews />
-					</PrivateRoute>
-				),
-			},
-			{
-				path: "*",
-				element: <NotFound />,
-			},
-		],
-	},
-]);
+import { useEffect, useState } from "react";
 
 function App() {
-	return (
-		<AuthProvider>
-			<RouterProvider router={router} />
-		</AuthProvider>
-	);
+	const [data, setData] = useState("");
+	useEffect(() => {
+		const fetchData = async () => {
+			const response = await fetch("http://localhost:8000/api");
+			const data = await response.json();
+			console.log(data);
+			setData(data.message);
+		};
+		fetchData();
+	}, []);
+
+	return <>{data == "" ? <p>Loading....</p> : <p>{data}</p>}</>;
 }
 
Index: frontend/src/main.tsx
===================================================================
--- frontend/src/main.tsx	(revision 3d5719a8d67c5c6702433bb42247497426d5951c)
+++ frontend/src/main.tsx	(revision 516baa4eda127c8c3a0f761c69f90c8c5ff421e3)
@@ -1,40 +1,9 @@
-import { GoogleOAuthProvider } from "@react-oauth/google";
 import { StrictMode } from "react";
 import { createRoot } from "react-dom/client";
 import App from "./App.tsx";
-import { AuthProvider } from "./context/AuthProvider";
-import { PreferencesProvider } from "./context/PreferencesContext.tsx";
-import { RecommendationsProvider } from "./context/RecommendationsContext.tsx";
-import { SubjectsProvider } from "./context/SubjectsContext.tsx";
-import "./index.css";
-
-const useOAuth = import.meta.env.VITE_USE_OAUTH === "true";
-
-const OAuthWrapper: React.FC<{ children: React.ReactNode }> = ({
-	children,
-}) => {
-	if (useOAuth) {
-		return (
-			<GoogleOAuthProvider clientId={import.meta.env.VITE_GOOGLE_CLIENT_ID}>
-				{children}
-			</GoogleOAuthProvider>
-		);
-	}
-	return <>{children}</>;
-};
 
 createRoot(document.getElementById("root")!).render(
 	<StrictMode>
-		<OAuthWrapper>
-			<AuthProvider>
-				<SubjectsProvider>
-					<RecommendationsProvider>
-						<PreferencesProvider>
-							<App />
-						</PreferencesProvider>
-					</RecommendationsProvider>
-				</SubjectsProvider>
-			</AuthProvider>
-		</OAuthWrapper>
+		<App />
 	</StrictMode>
 );
Index: frontend/src/vite-env.d.ts
===================================================================
--- frontend/src/vite-env.d.ts	(revision 3d5719a8d67c5c6702433bb42247497426d5951c)
+++ frontend/src/vite-env.d.ts	(revision 516baa4eda127c8c3a0f761c69f90c8c5ff421e3)
@@ -1,9 +1,1 @@
 /// <reference types="vite/client" />
-
-interface ImportMetaEnv {
-  readonly VITE_GOOGLE_CLIENT_ID: string
-}
-
-interface ImportMeta {
-  readonly env: ImportMetaEnv
-}
Index: frontend/vite.config.ts
===================================================================
--- frontend/vite.config.ts	(revision 3d5719a8d67c5c6702433bb42247497426d5951c)
+++ frontend/vite.config.ts	(revision 516baa4eda127c8c3a0f761c69f90c8c5ff421e3)
@@ -5,6 +5,3 @@
 export default defineConfig({
   plugins: [react()],
-  css: {
-    postcss: './postcss.config.cjs',
-  },
 })
